Subject: [netmod] Y16: module advertisement optimization - What happens with YANG 1.0 modules and clients?

From: Balazs Lengyel <[email-masked]>
Date: Tue, 31 Mar 2015 10:40:48 +0200

Hello Martin,
In the virtual interim minutes about Y16 I read:

   - AB: YANG 1.0 modules will continue to be advertised as before.

However I don't see this mentioned in
https://tools.ietf.org/html/draft-ietf-netmod-rfc6020bis-04#section-5.6.4

Is it just not yet added or is the above statement  reversed, or what 
will happen with YANG 1.0 modules?

Just a wild idea: would it be possible to update existing IETF YAMs 
(modules) to yang 1.1 using an errata? It only needs to change the YANG 
revision and the revision date. The only real effect would be on 
hello-advertising.
regards Balazs

On 2015-01-07 15:33, Juergen Schoenwaelder wrote:
> The 2014-12-03 virtual interim meeting proposal is to adopt Y16-03.
> Please speak up by Wednesday 2015-01-14 if you disagree with this
> proposal.
>
> For more details, see the issues list and the virtual interim meeting
> minutes available here:
>
>       http://svn.tools.ietf.org/svn/wg/netmod/yang-1.1/
>
> /js
>

-- 
Balazs Lengyel                       Ericsson Hungary Ltd.
Senior Specialist
ECN: 831 7320
Mobile: +36-70-330-7909              email: [email-masked]

---

From: Martin Bjorklund <[email-masked]>
Date: Tue, 31 Mar 2015 12:41:25 +0200 (CEST)

> will happen with YANG 1.0 modules?

YANG 1.0 modules follow RFC 6020 procedures.

I guess we could say something like this: Note that a server that
implements YANG 1.0 modules MUST advertise these modules as specified
in section 5.6.4 in RFC 6020.

> (modules) to yang 1.1 using an errata? It only needs to change the
> YANG revision and the revision date. The only real effect would be on
> hello-advertising.

We discussed this briefly in Dallas.  I do not know the answer, but I
think it would be confusing to most people searching for a specific
version of a YANG modules.

/martin

---

From: Juergen Schoenwaelder <[email-masked]>
Date: Tue, 31 Mar 2015 12:43:07 +0200

> version of a YANG modules.

I think this would be a misuse of the errata system.

/js

-- 
Juergen Schoenwaelder           Jacobs University Bremen gGmbH
Phone: +49 421 200 3587         Campus Ring 1 | 28759 Bremen | Germany
Fax:   +49 421 200 3103         <http://www.jacobs-university.de/>

---

From: Ladislav Lhotka <[email-masked]>
Date: Tue, 31 Mar 2015 12:54:24 +0200

> On 31 Mar 2015, at 12:43, Juergen Schoenwaelder <[email-masked]> wrote:
> 

+1

Lada

> _______________________________________________
> netmod mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/netmod

--
Ladislav Lhotka, CZ.NIC Labs
PGP Key ID: E74E8C0C

---

From: Balazs Lengyel <[email-masked]>
Date: Tue, 31 Mar 2015 14:26:56 +0200

On 2015-03-31 12:41, Martin Bjorklund wrote:
> Balazs Lengyel<[email-masked]>  wrote:
>> >Hello Martin,
IMO adding this would be needed.
Balazs